Webhooks

Update a webhook

Change the URL, subscribed events, or active state. Setting active to true on a disabled endpoint resets its failure count.

PATCH https://u2l.ai/api/v1/webhooks/{id}

Authorizations

Authorizationstringrequired

Bearer authentication header of the form Bearer <token>, where <token> is your U2L API key (u2l_live_...). Create one in the dashboard under Settings > API.

Path Parameters

idstringrequired

Body

urlstring
eventsstring[]
activeboolean

Re-enabling a disabled endpoint resets its failure count.

Response 200

idstring
urlstring
eventsstring[]
activeboolean
failureCountinteger

Consecutive failed deliveries. The endpoint is disabled automatically at 20. Resets to 0 on any successful delivery.

lastDeliveryAtstring
createdAtstring

Errors

401 Error
404 Error
422 Error

See Rate Limits & Errors for the error envelope and per-plan limits.

curl -X PATCH https://u2l.ai/api/v1/webhooks/we_f9ae3c2a1ee24e1b9321e359c9830b96 \
  -H "Authorization: Bearer u2l_live_your_api_key"
const response = await fetch("https://u2l.ai/api/v1/webhooks/we_f9ae3c2a1ee24e1b9321e359c9830b96", {
  method: "PATCH",
  headers: {
    "Authorization": "Bearer u2l_live_your_api_key",
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.patch(
    "https://u2l.ai/api/v1/webhooks/we_f9ae3c2a1ee24e1b9321e359c9830b96",
    headers={"Authorization": "Bearer u2l_live_your_api_key"},
)

print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("PATCH", "https://u2l.ai/api/v1/webhooks/we_f9ae3c2a1ee24e1b9321e359c9830b96", nil)
	req.Header.Set("Authorization", "Bearer u2l_live_your_api_key")
	res, _ := http.DefaultClient.Do(req)
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
{
  "id": "we_f9ae3c2a1ee24e1b9321e359c9830b96",
  "url": "https://example.com/u2l-webhook",
  "events": [
    "link.created"
  ],
  "active": true,
  "failureCount": 0,
  "lastDeliveryAt": "2026-07-25 09:12:44",
  "createdAt": "2026-07-25 08:52:02"
}